Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:       nodejs-chmodr
Version:    0.1.0
Release:    alt1_14
Summary:    Recursively change UNIX file permissions
License:    BSD
URL:        https://github.com/isaacs/chmodr
Source0:    https://registry.npmjs.org/chmodr/-/chmodr-%{version}.tgz
BuildArch:  noarch

BuildRequires:  rpm-build-nodejs node-devel
BuildRequires:  npm(tap)
BuildRequires:  npm(rimraf)
BuildRequires:  npm(mkdirp)
Source44: import.info


%description
%{summary}, like `chmod -R`.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/chmodr
cp -pr chmodr.js package.json %{buildroot}%{nodejs_sitelib}/chmodr

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
tap test/*

%files
%{nodejs_sitelib}/chmodr
%doc README.md
%doc --no-dereference LICENSE

%changelog
* Mon Mar 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_14
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_5
- fc import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_4
- initial import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_2
- initial import

